GET /v1/trusted_issuers
- Scope
environment:read- Auth
- Secret key (
sk_…) - Since
- 1.0
Headers
Section titled “Headers”
Minor version; defaults to the environment’s pin.OhAuthCat-Versionstring
Responses
Section titled “Responses”- 200 OK TrustedIssuerList
- 400 Invalid request. Codes: parameter_invalid, parameter_missing, version_unsupported and resource-specific codes from the catalogue. Error
- 401 Codes: authentication_required, api_key_invalid. Error
- 403 Codes: api_key_scope_missing, ip_not_allowed, plan_limit_reached. Error
- 429 Code: rate_limited. Retry-After is set. Error
- 503 Code: service_unavailable. Retry-After is set; writes are paused. Error
- default Any other error, including internal_error. Every code is in the error catalogue. Error
Errors share one shape; see the error code catalogue.
curl -X GET \ "https://api.ohauthcat.com/v1/trusted_issuers" \ -H "Authorization: Bearer $OHAUTHCAT_API_KEY"const response = await fetch("https://api.ohauthcat.com/v1/trusted_issuers", { method: "GET", headers: { Authorization: `Bearer ${process.env.OHAUTHCAT_API_KEY}`, },});const data = await response.json();import osimport requests
response = requests.get( "https://api.ohauthcat.com/v1/trusted_issuers", headers={"Authorization": f"Bearer {os.environ['OHAUTHCAT_API_KEY']}"},)data = response.json(){ "object": "list", "data": [ { "object": "trusted_issuer", "id": "01J9Z3K5V7W8X9Y0Z1A2B3C4D5", "issuer": "https://idp.acme.com/saml/metadata", "jwks_url": "https://app.acme.com/callback", "audiences": [ "https://api.acme.com" ], "algorithms": [ "example_algorithm" ], "skew_seconds": 1, "claim_mapping": { "subject": "example_subject", "email": "jane@acme.com", "email_verified": "example_email_verified", "first_name": "Jane", "last_name": "Doe" }, "organization_id": "org_01J9Z3K5V7W8X9Y0Z1A2B3C4D5", "jit_by_domain": true, "created_at": "2026-01-15T09:30:00Z" } ]}